# Class NullCipher

java.lang.Object
javax.crypto.Cipher
javax.crypto.NullCipher

public class NullCipher extends Cipher
The `NullCipher` class is a class that provides an "identity cipher" -- one that does not transform the plain text. As a consequence, the ciphertext is identical to the plaintext. All initialization methods do nothing, while the blocksize is set to 1 byte. Unlike other ciphers, the `NullCipher` has no state, and will never throw an `IllegalStateException` when `Cipher` methods are called.

Since:
  1.4

## Field Summary

### Fields declared in class Cipher

`DECRYPT_MODE, ENCRYPT_MODE, PRIVATE_KEY, PUBLIC_KEY, SECRET_KEY, UNWRAP_MODE, WRAP_MODE`

## Constructor Summary

Constructors
Constructor
Description
`NullCipher()`
Creates a `NullCipher` object.

## Method Summary

### Methods declared in class Cipher

`doFinal, doFinal, doFinal, doFinal, doFinal, doFinal, doFinal, getAlgorithm, getBlockSize, getExemptionMechanism, getInstance, getInstance, getInstance, getIV, getMaxAllowedKeyLength, getMaxAllowedParameterSpec, getOutputSize, getParameters, getProvider, init, init, init, init, init, init, init, init, toString, unwrap, update, update, update, update, update, updateAAD, updateAAD, updateAAD, wrap`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NullCipher

public NullCipher()
Creates a `NullCipher` object.